<?php 
function mohali_colors_customize_register($wp_customize) {
	
	$wp_customize->get_control('header_textcolor')->label = __('Site Title Color','mohali');
	$wp_customize->get_section('colors')->title = __('Website Color Scheme','mohali');
	
	$wp_customize->add_setting(
		'mohali-background-darker-color', array(
			'default'	=>	'#eeeeee',
			'sanitize_callback'	=>	'sanitize_hex_color'
		)
	);
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize, 'mohali-background-darker-color', array(
				'label'		=>	__('Background (Darker Shade)', 'mohali'),
				'description' =>	__('A Slightly darker shade of the main background color. Helpful in adding accents to the design.', 'mohali'),
				'section'	=>	'colors',
				'settings'	=>	'mohali-background-darker-color',
				'priority'	=>	30
			)	
		)
	);
	
	$wp_customize->add_setting(
		'mohali-primary-color', array(
			'default'	=>	'#ff005b',
			'sanitize_callback'	=>	'sanitize_hex_color'
		)
	);
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize, 'mohali-primary-color', array(
				'label'		=>	__('Primary Color', 'mohali'),
				'section'	=>	'colors',
				'settings'	=>	'mohali-primary-color',
				'priority'	=>	30
			)	
		)
	);
	
	$wp_customize->add_setting(
		'mohali-primary-text-color', array(
			'default'	=>	'#f9ffe7',
			'sanitize_callback'	=>	'sanitize_hex_color'
		)
	);
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize, 'mohali-primary-text-color', array(
				'label'		=>	__('Primary Text Color', 'mohali'),
				'description' => __('This is the color of the text, where the background color is Primary color. Like Menu Bar, Buttons, etc.', 'mohali'),
				'section'	=>	'colors',
				'settings'	=>	'mohali-primary-text-color',
				'priority'	=>	30
			)	
		)
	);
	
	//Secondary
	$wp_customize->add_setting(
		'mohali-secondary-color', array(
			'default'	=>	'#747474',
			'sanitize_callback'	=>	'sanitize_hex_color'
		)
	);
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize, 'mohali-secondary-color', array(
				'label'		=>	__('Secondary Color', 'mohali'),
				'description' => __('Secondary Color. Used for Links within content, sidebar, etc.', 'mohali'),
				'section'	=>	'colors',
				'settings'	=>	'mohali-secondary-color',
				'priority'	=>	30
			)	
		)
	);
	
	$wp_customize->add_setting(
		'mohali-secondary-text-color', array(
			'default'	=>	'#f9ffe7',
			'sanitize_callback'	=>	'sanitize_hex_color'
		)
	);
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize, 'mohali-secondary-text-color', array(
				'label'		=>	__('Secondary Text Color', 'mohali'),
				'description' => __('This is the color of the text, where the background color is Secondary color. Like Module Headings, Some Buttons, etc.', 'mohali'),
				'section'	=>	'colors',
				'settings'	=>	'mohali-secondary-text-color',
				'priority'	=>	30
			)	
		)
	);
	
	$wp_customize->add_setting(
		'mohali-secondary-dark-color', array(
			'default'	=>	'#076402',
			'sanitize_callback'	=>	'sanitize_hex_color'
		)
	);
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize, 'mohali-secondary-dark-color', array(
				'label'		=>	__('Secondary Color (Darker Shade)', 'mohali'),
				'description' => __('Darker shade of Secondary color. Used on Link Hover, etc.', 'mohali'),
				'section'	=>	'colors',
				'settings'	=>	'mohali-secondary-dark-color',
				'priority'	=>	30
			)	
		)
	);
	
	//Text Colors.
	$wp_customize->add_setting(
		'mohali-text-color', array(
			'default'	=>	'#555555',
			'sanitize_callback'	=>	'sanitize_hex_color'
		)
	);
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize, 'mohali-text-color', array(
				'label'		=>	__('Text Color', 'mohali'),
				'description' =>	__('Text Color. Main color of the content.', 'mohali'),
				'section'	=>	'colors',
				'settings'	=>	'mohali-text-color',
				'priority'	=>	30
			)	
		)
	);
	
	$wp_customize->add_setting(
		'mohali-text-dark-color', array(
			'default'	=>	'#111111',
			'sanitize_callback'	=>	'sanitize_hex_color'
		)
	);
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize, 'mohali-text-dark-color', array(
				'label'		=>	__('Text Color (Darker shade)', 'mohali'),
				'description' =>	__('Darker Shade of the text color. Used for headings and important text.', 'mohali'),
				'section'	=>	'colors',
				'settings'	=>	'mohali-text-dark-color',
				'priority'	=>	30
			)	
		)
	);
	
	$wp_customize->add_setting(
		'mohali-text-light-color', array(
			'default'	=>	'#777777',
			'sanitize_callback'	=>	'sanitize_hex_color'
		)
	);
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize, 'mohali-text-light-color', array(
				'label'		=>	__('Text Color (Lighter Shade)', 'mohali'),
				'description' =>	__('Lighter Shade of Text Color. Used for Top Menu, Meta Data and other text.', 'mohali'),
				'section'	=>	'colors',
				'settings'	=>	'mohali-text-light-color',
				'priority'	=>	30
			)	
		)
	);

	$wp_customize->add_setting(
		'mohali-menu-text-color', array(
			'default'	=>	'#232323',
			'sanitize_callback'	=>	'sanitize_hex_color'
		)
	);
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize, 'mohali-menu-text-color', array(
				'label'		=>	__('Menu Text Color', 'mohali'),
				'description' =>	__('Used by navigation links in main menu.', 'mohali'),
				'section'	=>	'colors',
				'settings'	=>	'mohali-menu-text-color',
				'priority'	=>	30
			)	
		)
	);

	$wp_customize->add_setting(
		'mohali-bg-plain-color', array(
			'default'	=>	'#fff',
			'sanitize_callback'	=>	'sanitize_hex_color'
		)
	);
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize, 'mohali-bg-plain-color', array(
				'label'		=>	__('Body Background Color', 'mohali'),
				'section'	=>	'colors',
				'settings'	=>	'mohali-bg-plain-color',
				'priority'	=>	30
			)	
		)
	);
		
}
add_action('customize_register','mohali_colors_customize_register');